Bug 438978 - cryptsetup segfaults if device not found
cryptsetup segfaults if device not found
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cryptsetup-luks (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
: 466368 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 07:35 EDT by David Anderson
Modified: 2009-01-09 02:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:44:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2008-03-26 07:35:06 EDT
cryptsetup-luks-1.0.5-7.fc8

If you ask cryptsetup to work on a device node which doesn't exist, it 
segfaults. Happens every time.

# /sbin/cryptsetup luksOpen /dev/sdb1 BACKUPDRIVE
Segmentation fault

Syslog:
localhost kernel: cryptsetup[4235]: segfault at 0000000c eip 0013e0be esp 
bf8e1f50 error 4
Comment 1 Till Maas 2008-03-26 08:00:55 EDT
Thanks for the report, this should be already fixed in Rawhide, maybe even in
the beta release. When there are not bug reports for the version 1.0.6, which is
in Rawhide, then it will be probably also included in F8.

Changing to ASSIGNED, because it does not need any triaging.
Comment 2 Mike 2008-10-09 17:28:21 EDT
*** Bug 466368 has been marked as a duplicate of this bug. ***
Comment 3 Mike 2008-10-09 17:29:53 EDT
[root@localhost ~]# rpm -q cryptsetup-luks-debuginfo
cryptsetup-luks-debuginfo-1.0.5-7.fc8

[root@localhost ~]# gdb cryptsetup
GNU gdb Red Hat Linux (6.6-45.fc8rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".

(gdb) run luksOpen /dev/sdwxws asd123

Starting program: /sbin/cryptsetup luksOpen /dev/sdwxws asd123

Program received signal SIGSEGV, Segmentation fault.
LUKS_dealloc_masterkey (mk=0xc) at /usr/include/bits/string3.h:136
warning: Source file is more recent than executable.
136           && (!__builtin_constant_p (__n) || __n <= __bos (__dest)))
(gdb) bt
#0  LUKS_dealloc_masterkey (mk=0xc) at /usr/include/bits/string3.h:136
#1  0x00610b37 in __crypt_luks_open (arg=0, backend=0x61a958,
options=0xbfc6d380) at setup.c:678
#2  0x0060f835 in crypt_job (job=0x6108b0 <__crypt_luks_open>, arg=0,
options=0xbfc6d380)
    at setup.c:795
#3  0x0804954f in action_luksOpen (arg=0) at cryptsetup.c:251
#4  0x08049c1b in main (argc=Cannot access memory at address 0x0
) at cryptsetup.c:474
#5  0x004c8390 in __libc_start_main (main=0x8049970 <main>, argc=4,
ubp_av=0xbfc6d554,
    init=0x804a080 <__libc_csu_init>, fini=0x804a070 <__libc_csu_fini>,
    rtld_fini=0x4a1940 <_dl_fini>, stack_end=0xbfc6d54c) at libc-start.c:220
#6  0x08048f11 in _start ()
Comment 4 Bug Zapper 2008-11-26 05:16:13 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:44:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.